### Struct

# ECal ClientTzlookupICalCompData

since: 3.34

#### Description [src]

    struct ECalClientTzlookupICalCompData {
      /* No available fields */
    }

Contains data used as lookup_data of e_cal_client_tzlookup_icalcomp_cb().

Available since: 3.34

#### Constructors

###### e_cal_client_tzlookup_icalcomp_data_new

Constructs a new `ECalClientTzlookupICalCompData`, which can be used as a lookup_data argument of e_cal_client_tzlookup_icalcomp_cb(). Free it with e_cal_client_tzlookup_icalcomp_data_free(), when no longer needed.

since: 3.34

#### Instance methods

###### e_cal_client_tzlookup_icalcomp_data_copy

Copies given `ECalClientTzlookupICalCompData` structure. When the `lookup_data` is `NULL`, simply returns `NULL` as well.

since: 3.34

###### e_cal_client_tzlookup_icalcomp_data_free

Frees previously allocated `ECalClientTzlookupICalCompData` structure with `e_cal_client_tzlookup_icalcomp_data_new()` or e_cal_client_tzlookup_icalcomp_data_copy(). The function does nothing when `lookup_data` is `NULL`.

since: 3.34

###### e_cal_client_tzlookup_icalcomp_data_get_icalcomponent

No description available.

since: 3.34